#!/bin/sh

#
# goWeb site builder script
# http://goweb.sf.net
#

#
# Change this according to your needs
#

SITEDIR='/home/groups/g/go/goweb/htdocs'

# Note that TEMPDIR will be removed after the use
TEMPDIR='/home/groups/g/go/goweb/tmp'


#
# Do not change anything below
#

CURRDIR=`pwd`

do_zip()
{
	echo -ne " Doing zip... "

	rm $SITEDIR/download/*zip

	mkdir -p $TEMPDIR/goweb
	cp -R $SITEDIR/* $TEMPDIR/goweb
	cd $TEMPDIR
	zip -q site.zip -r	goweb/
	mv site.zip $CURRDIR

	cd $CURRDIR
	rm -r $TEMPDIR

	echo -ne "done!\n"
}


do_targz()
{
	echo -ne " Doing tar.gz... "

	rm $SITEDIR/download/*tar.gz

	mkdir -p $TEMPDIR/goweb
	cp -R $SITEDIR/* $TEMPDIR/goweb
	cd $TEMPDIR
	tar czf site.tar.gz	goweb/
	mv site.tar.gz $CURRDIR

	cd $CURRDIR
	rm -r $TEMPDIR

	echo -ne "done!\n"
}


echo -ne "goWeb site builder (http://goweb.sf.net)\n"
echo -ne "----------------------------------------\n"

case "$1" in
  zip)
	# note the a ssh rsa key MUST exist
	do_zip
  ;;
  targz)
	do_targz
  ;;
  all)
  	# do package first
	do_zip
	do_targz
  ;;
  *)
  echo -ne "\nUsage: sh MakeSite.sh {zip|targz|all}\n\n"
  echo -ne "  zip\t: create the .zip package\n"
  echo -ne "  targz\t: create the .tar.gz package\n"
  echo -ne "  all\t\t: create both .zip and .tar.gz package\n\n"
  echo -ne "Contact kratorius@users.sourceforge.net for more info\n\n"
esac

cd $CURRDIR

exit 0
