<?php
/* core_functions.php
 *
 * This file describes some necessary functions used all over the framework.
 * Those functions can be called also outside the framework itself.
 *
 */

function Config($configValue)
{
	global $CONFIG;
	if (isset($CONFIG[$configValue]))
		return $CONFIG[$configValue];
	else return ENOARRAYITEM;
}


function ScanExtensions($array)
{
	$sitePath = Config("site_path_fw");

	if ($sitePath == ENOARRAYITEM)
		return EGENERIC;
	
	$dHandle = @opendir("$sitePath/extensions/");

	if (isset($dHandle)) {
		while (FALSE !== ($fileName = readdir($dHandle)))
		{
			if (($fileName != '.') && ($fileName != '..')) {
				/* we need only directories */

				if (is_dir("$sitePath/extensions/$fileName")) {
					if (file_exists("$sitePath/extensions/$fileName/$fileName.php")) {
						$array[$fileName] = FALSE;
					}
				}
			}
		}
	} else return ENODIRFOUND;

	closedir($dHandle);

	return ENOERROR;
}


function ScanModules($modList = array())
{
	$sitePath = Config("site_path_fw");

	if ($sitePath == ENOARRAYITEM)
		return EGENERIC;

	$dHandle = @opendir("$sitePath/modules/");

	if (isset($dHandle)) {
		while (FALSE !== ($fileName = readdir($dHandle)))
		{
			if (($fileName != '.') && ($fileName != '..')) {
				/* we need only directories */

				if (is_dir("$sitePath/modules/$fileName")) {
					if (file_exists("$sitePath/modules/$fileName/$fileName.php")) {
						$modList[] = $fileName;
						require("$sitePath/modules/$fileName/$fileName.php");
					}
				}
			}
		}
	} else return ENODIRFOUND;

	closedir($dHandle);

	return ENOERROR;
}


function isSiteInstance($instance)
{
	return ((strtolower(get_class($instance)) == "core") ? TRUE : FALSE);
}



function addArrayValueEndString($array, $string)
{
	foreach($array as $arKey => $arValue)
	{
		$array[$arKey] = "$arValue$string";
	}
}


function getClassName($classInstance)
{
	return strtolower(get_class($classInstance));
}

?>
