<?php

/* This is a very special function and should NEVER be used by extension
 * or modules
 */
function ERROR($string, $siteInstance=NULL)
{
	/* if we can have the site instance, print the log out */

	if (($siteInstance != NULL) && (isSiteInstance($siteInstance))) {
		foreach($siteInstance->getLog() as $line) {
			echo "$line<br />";
		}
		$siteInstance->addLog(FAULT, "General Fault: $string. Can't continue");
	} else {
		die("<strong>General Fault: $string. Can't continue.</strong>");
	}
}

function errorMessage($errorCode)
{
	/* parse all constants and return the proper error code */
	$str = "";

	switch ($errorCode)
	{
		case ENOERROR:
			$str = "All proceeded correctly";
			break;
		case EGENERIC:
			$str = "Generic error occurred";
			break;
		case ENOPARM:
			$str = "A required parameter was not passed";
			break;
		case ENOENOUGHPARMS:
			$str = "The function didn't get enough parameters";
			break;
		case EINVALIDPARMTYPE:
			$str = "The parameter passed has an invalid format";
			break;
		case ENOARRAYITEM:
			$str = "The array has not the specified element";
			break;
		case ENODIRFOUND:
			$str = "Directory not found";
			break;
		case ENOFILEFOUND:
			$str = "File not found";
			break;
		case ECANTLOAD:
			$str = "Can't load the specified object";
			break;
		case ECANTOPEN:
			$str = "Can't open the specified object";
			break;
		case ENOLOADED:
			$str = "The specified object was not loaded";
			break;
		case ECANTCONNECT:
			$str = "Can't connect to the specified service";
			break;
		case ENOCONN:
			$str = "The connection to the specified service wasn't estabilished";
			break;

		/* database specific */
		case ECANTSELECT:
			$str = "Can't select the database where to work on";
			break;
		case ECANTQUERY:
			$str = "Can't execute the query";
			break;
		case ECANTCLOSE:
			$str = "Can't close the database connection";
			break;


		default:
			$str = "Unknown error code. Please see constants.php";
			break;
	}

	return $str;
}
?>
