<?php

interface iMask {
	public function set($varName, $varValue);
	public function out();
}

class Mask implements iMask
{
	private $cMasks = array();
	private $cMaskFile;

	function __construct($maskFile)
	{
		if (!file_exists($maskFile))
		{
			ERROR("Can't open mask file");
		}

		$this->cMaskFile = $maskFile;
	}

	/* Here we can use both the set() function and
	 * object overloading
	 */

	public
	function set($varName, $varValue)
	{
		$this->cMasks[$varName] = $varValue;
	}


	function __set($varName, $varValue)
	{
		$this->cMasks[$varName] = $varValue;
	}


	public
	function out()
	{
		$fc = @file($this->cMaskFile);

		$cnt = "";
		foreach($fc as $line)
		{
			$newline = $line;
			foreach($this->cMasks as $varName => $varValue)
			{
				$newline = str_ireplace("{\$$varName}", $varValue, $newline);
			}

			$cnt .= $newline;
		}
		return $cnt;
	}
}

?>
