<?php

class Mysql
{
	var $cDB_host;
	var $cDbUser;
	var $cDbPass;
	var $cDbName;
	var $cDbPort;
	var $db_rsrc;

	var $cSiteInstance;
	var $cQueryCount;

	function Mysql($siteInstance)
	{
		$this->cSiteInstance = $siteInstance;
		if (!isSiteInstance($siteInstance)) {
			ERROR("Invalid site instance!", $siteInstance);
		}
		$this->cQueryCount = 0;
	}

	function connect(	$server = "localhost",
				$username = "root",
				$password = "",
				$port = "3306")
	{
		$this->db_rsrc = NULL;
		
		$this->__checkConnParams($server, $username, $password, $port); 

		/* The first line could seems cryptic but it isn't.
		 * All it does is to write only "localhost" if the port
		 * hasn't been specified (so revert to the default setting)
		 * or "localhost:port" if some port has been specified.
		 * This is mainly used to connect to mysql through unix sockets.
		 */
		$dbrsrc = mysql_connect(	$this->cDB_host . ((strlen($this->cDbPort) == 0) ? "" : (":" . $this->cDbPort)),
						$this->cDbUser,
						$this->cDbPass);

		if ($dbrsrc == NULL) {
			ERROR("Can't connect to the specified database server", $this->cSiteInstance);
			return ECANTCONNECT;
		}

		$this->db_rsrc = $dbrsrc;
		$this->cSiteInstance->addLog(DEBUG, "Connected to MySQL server");

		return ENOERROR;
	}


	function selectdb($dbname = "")
	{
		if (!$this->__isConnectionUp()) {
			return ECANTCONNECT;
		}

		if (!strlen($dbname)) {
			return ENOPARM;
		}

		if (!isset($this->db_rsrc)) {
			return ECANTCONNECT;
		}

		$rsrc = mysql_select_db($dbname, $this->db_rsrc);

		if ($rsrc == NULL) {
			ERROR("Can't select database", $this->cSiteInstance);
			return ECANTSELECT;
		}

		$this->cSiteInstance->addLog(DEBUG, "Selected database '$dbname'");

		return ENOERROR;
	}


	function go(	$server = "localhost",
			$username = "root",
			$password = "",
			$port = "3306",
			$dbname = "")
	{
		$this->__checkConnParams($server, $username, $password, $port);
		$this->connect($this->cDB_host, $this->cDbUser, $this->cDbPass, $this->cDbPort);
		$this->selectdb($dbname);
	}


	function close()
	{
		mysql_close($this->db_rsrc);
		$this->db_rsrc = NULL;
	}


	function getQueryCount()
	{
		return $this->cQueryCount;
	}


	/* Query functions */

	function rawQuery($query)
	{
		$this->cSiteInstance(DEBUG, "Executing query: $query");
		$this->cQueryCount++;
		return $this->__rawQuery($query);
	}


	function select($what, $from_table, $where = "")
	{
		if (!isset($what))
			return ENOPARM;

		if (!isset($from_table))
			return ENOPARM;

		$query = "SELECT $what FROM $from_table";

		if (strlen($where) > 0)
			$query .= " WHERE $where";

		return $this->rawQuery($query);
	}


	function insert($table, $columns, $values)
	{
		if ((count(explode(",", $columns))) != (count(explode(",", $values)))) {
			return ENOENOUGHPARMS;
		}

		$query = "INSERT INTO $table ($columns) VALUES ($values)";

		return $this->rawQuery($query);
	}


	/***********
	 * private *
	 ***********/

	function __checkConnParams($server, $username, $password, $port)
	{
		/* ooh checks... is there some better way to do this? */
		if (!strlen($server)) {
			$cfg = Config("db_host");
			if ($cfg != ENOARRAYITEM) {
				$this->cDB_host = $cfg;
			} else {
				$this->cDB_host = "localhost";
			}
		} else {
			$this->cDB_host = $server;
		}

		if (!strlen($username)) {
			$cfg = Config("db_user");
			if ($cfg != ENOARRAYITEM) {
				$this->cDbUser = $cfg;
			} else {
				$this->cDbUser = "root";
			}
		} else {
			$this->cDbUser = $username;
		}

		/* password could be empty, so leave it as it is */
		$this->cDbPass = $password;

		if (!strlen($port)) {
			$cfg = Config("db_port");
			if ($cfg != ENOARRAYITEM) {
				$this->cDbPort = $cfg;
			} else {
				$this->cDbPort = "3306";
			}
		} else {
			$this->cDbPort = $port;
		}

		return ENOERROR;
	}


	/* Boolean function */
	function __isConnectionUp()
	{
		return (($this->db_rsrc == NULL) ? FALSE : TRUE);
	}


	/* That's the function where all the queries, now or
	 * later, should come
	 */
	function __rawQuery($query)
	{
		if ($this->__isConnectionUp()) {
			$rsrc = mysql_query($query, $this->db_rsrc);
			if (rsrc == FALSE) {
				return ECANTQUERY;
			}
			return $rsrc;
		} else return ECANTQUERY;
	}
}

?>
