<?php
	require("constants.php");
	require("functions.php");

	$raw = ((isset($_GET['raw']) && ($_GET['raw'] == 1)) ? '1' : '0');
	
	$page = (!isset($_GET['page']) ? P_HOMEPAGE : $_GET['page']);
	switch($page)
	{
		case P_HOMEPAGE:
			$req = "homepage.php";
			break;
		case P_DOWNLOAD:
			$req = "download.php";
			break;
		case P_DOCUMENT:
			$req = "document.php";
			break;
		case P_PCONTRIB:
			$req = "contrib.php";
			break;
		case P_PCONTACT:
			$req = "contact.php";
			break;
		case P_OPENSOUR:
			$req = "opensource.php";
			break;
		default:
			$req = "404.php";
			break;
	}

	if (!$raw) {
		echo '<?xml version="1.0" encoding="utf-8"?>' . "\n";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en-US" lang="en-US" dir="ltr">
<head>
	<title>goWeb: a PHP 5 web framework</title>
	<link rel="stylesheet" type="text/css" href="style/style.css" media="screen"/>
	<link rel="stylesheet" type="text/css" href="style/print.css" media="print"/>
	<link rel="stylesheet" type="text/css" href="style/aural.css" media="aural"/>
	<!--[if IE]>
	<link rel="stylesheet" type="text/css" href="style/explorer.css" media="screen"/>
	<![endif]-->

	<link rel="homepage" type="application/xhtml+xml" href="index.php?page=<?= P_HOMEPAGE ?>" title="Home page" />
	<link rel="download" type="application/xhtml+xml" href="index.php?page=<?= P_DOWNLOAD ?>" title="Download" />
	<link rel="documentation" type="application/xhtml+xml" href="index.php?page=<?= P_DOCUMENT ?>" title="Documentation" />
	<link rel="contributing" type="application/xhtml+xml" href="index.php?page=<?= P_PCONTRIB ?>" title="Contributing" />
	<link rel="contact" type="application/xhtml+xml" href="index.php?page=<?= P_PCONTACT ?>" title="Contact" />
	<link rel="opensource" type="application/xhtml+xml" href="index.php?page=<?= P_OPENSOUR ?>" title="This is an Open source site!" />

	<meta http-equiv="Content-Type"		content="application/xhtml+xml; charset=UTF-8" />
	<meta http-equiv="Pragma"		content="no-cache" />
	<meta http-equiv="Cache-Control" 	content="no-cache" />
	<meta http-equiv="Content-Script-Type"	content="text/javascript" />
	<meta http-equiv="revisit-after"	content="15 days" />

	<meta name="author"			content="Giuliani Ivan" />
	<meta name="keywords"			content="goweb, web, php, framework, oop, object oriented, kratorius, web site, web application, ajax, javascript, xml, database, abstraction, module, extension" />
	<meta name="description"		content="goWeb is an object oriented PHP 5 framework for creating web sites and web applications." />

	<script type="text/javascript"	src="scripts/ajax.js"></script>
</head>

<body>

<div id="page">
	<div id="title">
		<?= buildLink(P_HOMEPAGE, '<img src="img/goweb.gif" alt="goWeb logo" width="354" height="140" />') . "\n" ?>
		<h1>goWeb: a <acronym title="Recursive acronym for PHP: Hypertext Preprocessor">PHP</acronym> 5 framework</h1>
	
		<div id="loading">
			<img src="img/loading.gif" alt="Loading..." width="160" height="40" />
		</div>

	</div> <!-- /title -->

	<div id="menu">
		<ul>
			<li><?= buildLink(P_HOMEPAGE, "Home page", 1) ?>		<span class="akey" title="Access Key">[1]</span></li>
			<li><?= buildLink(P_DOWNLOAD, "Download", 2) ?>		<span class="akey" title="access key">[2]</span></li>
			<li><?= buildLink(P_DOCUMENT, "Documentation", 3) ?>		<span class="akey" title="access key">[3]</span></li>
			<li><?= buildLink(P_PCONTRIB, "Contributing", 4) ?>		<span class="akey" title="access key">[4]</span></li>
			<li><?= buildLink(P_PCONTACT, "Contact", 5) ?>		<span class="akey" title="access key">[5]</span></li>
		</ul>
	</div> <!-- /menu -->

	<div id="cnt">
<?php
	require("pages/$req");
?>
	</div> <!-- /cnt -->
</div> <!-- /page -->

<div id="footer">
	<div id="footer-notes-l">
		goWeb - a PHP 5 web framework<br />
		<a href="http://sourceforge.net"><img src="http://sourceforge.net/sflogo.php?group_id=150798&amp;type=2" width="125" height="37" alt="SourceForge.net Logo" /></a>
	</div> <!-- /footer-notes-l -->

	<div id="footer-notes-r">
	Last modify: $Date: <span class="acrolike" title="<?= date ("F d Y H:i:s", filemtime("pages/$req")) ?>"><?=
				date("Y-m-d", filemtime("pages/$req")) . 'T' .
				date("H:i:s", filemtime("pages/$req")) . "+100" ?></span> $ (Webmaster)<br />
	Valid <acronym title="Extended Hypertext Markup Language, version 1.0">XHTML 1.0</acronym> and valid <acronym title="Cascading Style Sheet, version 2.1">CSS 2.1</acronym><br />
	This site is <?= buildLink(P_OPENSOUR, "open source") ?>
	</div> <!-- /footer-notes-r -->

	<br class="clear" />
</div>

</body>
</html>
<?php
	} else {
		require("pages/$req");
	}
?>
